Loading...
Searching...
No Matches
Thread
Utilities

functions to manipulate threads More...

## Files

file | thread.h
| `pipewire/thread.h`

## Macros

#define | pw_thread_utils_create(...) spa_thread_utils_create(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_join(...) spa_thread_utils_join(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_get_rt_range(...) spa_thread_utils_get_rt_range(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_acquire_rt(...) spa_thread_utils_acquire_rt(pw_thread_utils_get(), ##__VA_ARGS__)
#define | pw_thread_utils_drop_rt(...) spa_thread_utils_drop_rt(pw_thread_utils_get(), ##__VA_ARGS__)

## Functions

void | pw_thread_utils_set (struct spa_thread_utils *impl)
struct spa_thread_utils * | pw_thread_utils_get (void)
void * | pw_thread_fill_attr (const struct spa_dict *props, void *attr)

## Detailed Description

functions to manipulate threads

## Macro Definition Documentation

## pw_thread_utils_create

#define pw_thread_utils_create | ( |  | ... | ) | spa_thread_utils_create(pw_thread_utils_get(), ##__VA_ARGS__)

## pw_thread_utils_join

#define pw_thread_utils_join | ( |  | ... | ) | spa_thread_utils_join(pw_thread_utils_get(), ##__VA_ARGS__)

## pw_thread_utils_get_rt_range

#define pw_thread_utils_get_rt_range | ( |  | ... | ) | spa_thread_utils_get_rt_range(pw_thread_utils_get(), ##__VA_ARGS__)

## pw_thread_utils_acquire_rt

#define pw_thread_utils_acquire_rt | ( |  | ... | ) | spa_thread_utils_acquire_rt(pw_thread_utils_get(), ##__VA_ARGS__)

## pw_thread_utils_drop_rt

#define pw_thread_utils_drop_rt | ( |  | ... | ) | spa_thread_utils_drop_rt(pw_thread_utils_get(), ##__VA_ARGS__)

## Function Documentation

## pw_thread_utils_set()

void pw_thread_utils_set | ( | struct spa_thread_utils * | impl | ) |

## pw_thread_utils_get()

struct spa_thread_utils * pw_thread_utils_get | ( | void |  | ) |

## pw_thread_fill_attr()

void * pw_thread_fill_attr | ( | const struct spa_dict * | props,
|  | void * | attr
| ) |  |